Name:           perl-Net-AMQP-RabbitMQ
Version:        0.008000
Release:        1%{?dist}
Summary:        Interact with RabbitMQ over AMQP using librabbitmq
License:        MPLv1.1
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-AMQP-RabbitMQ/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-AMQP-RabbitMQ-%{version}.tar.gz
BuildRequires:  librabbitmq-devel
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(JSON)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
BuildRequires:  rabbitmq-server
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::AMQP::RabbitMQ is a fork of Net::RabbitMQ that uses a newer version of
librabbitmq and fixes some bugs. It provides a simple wrapper around the
librabbitmq library that allows connecting, declaring exchanges and queues,
binding and unbinding queues, publishing, consuming and receiving events.

%prep
%setup -q -n Net-AMQP-RabbitMQ-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
mkdir $RPM_BUILD_ROOT/log
mkdir $RPM_BUILD_ROOT/lib
RABBITMQ_MNESIA_BASE=$RPM_BUILD_ROOT/lib RABBITMQ_LOG_BASE=$RPM_BUILD_ROOT/log /usr/lib/rabbitmq/bin/rabbitmq-server &
while [ -d "$RPM_BUILD_ROOT" ] && [ "`grep 'Server startup complete' $RPM_BUILD_ROOT/log/*.log | wc -l`" -lt "1" ]; do sleep 1; done
MQHOST=localhost make test
RABBITMQ_MNESIA_BASE=$RPM_BUILD_ROOT/lib RABBITMQ_LOG_BASE=$RPM_BUILD_ROOT/log /usr/lib/rabbitmq/bin/rabbitmqctl stop
rm -Rf $RPM_BUILD_ROOT/log
rm -Rf $RPM_BUILD_ROOT/lib

%files
%doc Changes LICENSE LICENSE-MIT
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Wed Jan 14 2015 David Dick <ddick@cpan.org> - 0.008000-1
- Initial release
